import request from '@/utils/request'

// 查询推广员申请列表
export function listUserPromoterApply(query) {
  return request({
    url: '/store/userPromoterApply/list',
    method: 'get',
    params: query
  })
}

// 查询推广员申请详细
export function getUserPromoterApply(applyId) {
  return request({
    url: '/store/userPromoterApply/' + applyId,
    method: 'get'
  })
}

// 新增推广员申请
export function addUserPromoterApply(data) {
  return request({
    url: '/store/userPromoterApply',
    method: 'post',
    data: data
  })
}

// 修改推广员申请
export function updateUserPromoterApply(data) {
  return request({
    url: '/store/userPromoterApply',
    method: 'put',
    data: data
  })
}

// 删除推广员申请
export function delUserPromoterApply(applyId) {
  return request({
    url: '/store/userPromoterApply/' + applyId,
    method: 'delete'
  })
}

// 导出推广员申请
export function exportUserPromoterApply(query) {
  return request({
    url: '/store/userPromoterApply/export',
    method: 'get',
    params: query
  })
}